# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .error import Error
from .api_error import APIError, APIErrorException
from .face_rectangle import FaceRectangle
from .coordinate import Coordinate
from .face_landmarks import FaceLandmarks
from .facial_hair import FacialHair
from .head_pose import HeadPose
from .emotion import Emotion
from .hair_color import HairColor
from .hair import Hair
from .makeup import Makeup
from .occlusion import Occlusion
from .accessory import Accessory
from .blur import Blur
from .exposure import Exposure
from .noise import Noise
from .face_attributes import FaceAttributes
from .detected_face import DetectedFace
from .find_similar_request import FindSimilarRequest
from .similar_face import SimilarFace
from .group_request import GroupRequest
from .group_result import GroupResult
from .identify_request import IdentifyRequest
from .identify_candidate import IdentifyCandidate
from .identify_result import IdentifyResult
from .verify_face_to_person_request import VerifyFaceToPersonRequest
from .verify_face_to_face_request import VerifyFaceToFaceRequest
from .verify_result import VerifyResult
from .persisted_face import PersistedFace
from .face_list import FaceList
from .person_group import PersonGroup
from .person import Person
from .update_person_face_request import UpdatePersonFaceRequest
from .training_status import TrainingStatus
from .name_and_user_data_contract import NameAndUserDataContract
from .image_url import ImageUrl
from .face_api_enums import (
    Gender,
    GlassesType,
    HairColorType,
    AccessoryType,
    BlurLevel,
    ExposureLevel,
    NoiseLevel,
    FindSimilarMatchMode,
    TrainingStatusType,
    FaceAttributeType,
    AzureRegions,
)

__all__ = [
    'Error',
    'APIError', 'APIErrorException',
    'FaceRectangle',
    'Coordinate',
    'FaceLandmarks',
    'FacialHair',
    'HeadPose',
    'Emotion',
    'HairColor',
    'Hair',
    'Makeup',
    'Occlusion',
    'Accessory',
    'Blur',
    'Exposure',
    'Noise',
    'FaceAttributes',
    'DetectedFace',
    'FindSimilarRequest',
    'SimilarFace',
    'GroupRequest',
    'GroupResult',
    'IdentifyRequest',
    'IdentifyCandidate',
    'IdentifyResult',
    'VerifyFaceToPersonRequest',
    'VerifyFaceToFaceRequest',
    'VerifyResult',
    'PersistedFace',
    'FaceList',
    'PersonGroup',
    'Person',
    'UpdatePersonFaceRequest',
    'TrainingStatus',
    'NameAndUserDataContract',
    'ImageUrl',
    'Gender',
    'GlassesType',
    'HairColorType',
    'AccessoryType',
    'BlurLevel',
    'ExposureLevel',
    'NoiseLevel',
    'FindSimilarMatchMode',
    'TrainingStatusType',
    'FaceAttributeType',
    'AzureRegions',
]
