# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class JobsListOutputFilesOptions(Model):
    """Additional parameters for list_output_files operation.

    :param outputdirectoryid: Id of the job output directory. This is the
     OutputDirectory-->id parameter that is given by the user during Create
     Job.
    :type outputdirectoryid: str
    :param linkexpiryinminutes: The number of minutes after which the download
     link will expire. Default value: 60 .
    :type linkexpiryinminutes: int
    :param max_results: The maximum number of items to return in the response.
     A maximum of 1000 files can be returned. Default value: 1000 .
    :type max_results: int
    """

    _validation = {
        'outputdirectoryid': {'required': True},
    }

    def __init__(self, outputdirectoryid, linkexpiryinminutes=60, max_results=1000):
        self.outputdirectoryid = outputdirectoryid
        self.linkexpiryinminutes = linkexpiryinminutes
        self.max_results = max_results
